package com.yeejoin.equipmanage.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.equipmanage.common.entity.ScrapDetail;

import java.util.List;
import java.util.Map;

/**
 * 服务类
 *
 * @author wujiang
 * @date 2020-07-07
 */
public interface IScrapDetailService extends IService<ScrapDetail> {

	ScrapDetail getOneById(Long id);

	IPage<ScrapDetail> pageList(Page<ScrapDetail> pageBean, QueryWrapper<ScrapDetail> queryWrapper);

	int getOneByQrcode(String qrCode);

	List<Map<String, Object>> geteqTypeAndAmount(Long id);

	int getCarByQrcode(String qrCode);
}
